%global debug_package %{nil}

%global snobrel 1.5

Name:           snobol
Version:        4.%{snobrel}
Release:        9%{?dist}
Summary:        The SNOBOL programming language

Group:          Development/Languages
License:        BSD

URL:            http://www.snobol4.org
Source0:        ftp://ftp.ultimate.com/%{name}/%{name}4-%{snobrel}.tar.gz
Patch1:         snobol-4.1.4.1-makefile.patch
Patch2:         snobol-4.1.4.1-doc.patch

BuildRequires:  tcl-devel
BuildRequires:  tk-devel >= 8.4
BuildRequires:  gdbm-devel
BuildRequires:  m4

Obsoletes:       snobol-devel < 4.1.4.1
Provides:        snobol-devel = %{version}-%{release}

Provides:       snobol-devel = %{version}-%{release}
Obsoletes:      snobol-devel < %{version}-%{release}

%description
SNOBOL4, while known primarily as a string language excels at any task
involving symbolic manipulations.  It provides run time typing,
garbage collection, user data types, on the fly compilation.  It's
primary weakness is it's simple syntax, and lack of "structured
programming" and "object oriented" constructs.

%prep
%setup -q -n %{name}4-%{snobrel}
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --mandir=%{_mandir} \
             --snolibdir=%{_datadir}/snobol4 \
              --with-tcl=%{_libdir}/tclConfig.sh
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYRIGHT README CHANGES doc/load.txt
%{_bindir}/snobol*
%{_bindir}/sdb*
%{_datadir}/snobol4/
%{_mandir}/man*/*

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 4.1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Sat Feb  8 2014 Jochen Schmitt <Jochen herr-schmitt de> - 4.1.5-4
- New upstreeam release
- Remove 64bit patch
- Remove devel subpackage 

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct  6 2012 Dan Horák <dan[at]danny.cz> - 4.1.4.1-2
- fix build on non-x86 64-bit arches

* Fri Oct  5 2012 Jochen Schmitt <Jochen herr-schmitt de> - 4.1.4.1-1
- New upstream release
- Clean up package

* Sat Oct  8 2011 Jochen Schmitt <Jochen herr-schmitt de> - 4.1.3-1
- New upstream release

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 23 2009 Jochen Schmitt <Jochen herr-schmitt de> 4.1.2-1
- New upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 24 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-7
- Reworking the summary of the package

* Thu Aug 21 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-6
- Try to minimize undef. non-weak symbols

* Wed Aug 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-5
- Fix broken Req. in devel package

* Wed Aug 20 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-4
- Fix symlink issue

* Mon Aug 18 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-3
- Fix issue of setting soname

* Sun Aug 17 2008 Jochen Schmitt <Jochen herr-schmitt de> 4.1.1-2
- Remove -O3 flag from configure file
- Splitting of a devel sub package

* Sun Jul 27 2008 Gerard Milmeister <gemi@bluewin.ch> 4.1.1-1
- first Fedora release

